import React from 'react';
import { Button } from '@pisell/materials';
import FloatingDock from "../../../floatingDock";
import "./index.less";
var FloatButtons = function FloatButtons(props) {
  var items = props.items;
  return /*#__PURE__*/React.createElement(FloatingDock, {
    className: "ticket-booking-float-buttons"
  }, items.map(function (item) {
    return /*#__PURE__*/React.createElement(Button, {
      key: item.key,
      type: "primary",
      icon: item.icon,
      shape: "circle",
      size: "large",
      onClick: item.onClick
    });
  }));
};
export default FloatButtons;